Subject: Re: patch for common networking error messages

From: Janice M Girouard <[email-masked]>
Date: Tue, 17 Jun 2003 15:24:20 -0500

From David S. Miller:

And when we have 1GHZ memory busses and 10GHz cpus tomorrow,
what does this say for 1gbit and 10gbit cards?

Such schemes are fundamentally flawed.

Bottom line..   I was asking for input, and I received it.  It's valid 
to say... look at the statistics.  I really like the concept of driving 
events through netlink, but querying statistics works.  

p.s.  It's been my experience that the memory system is the main 
bottleneck when trying to support a heavy network load.  When the 10 
Gigabit card emerges, and it's here today, the memory system will be 
pressed to support it, especially if you're not using zerocopy and 
you're thinking of using more than one card.  Perhaps if RDMA is 
capabilities are added to Linux, then things might be different.

So.. when do you think RDMA will show up on Linx?